Index: /main/trunk/greenstone2/common-src/indexers/Makefile.in
===================================================================
--- /main/trunk/greenstone2/common-src/indexers/Makefile.in	(revision 22069)
+++ /main/trunk/greenstone2/common-src/indexers/Makefile.in	(revision 22070)
@@ -58,27 +58,7 @@
 endif
 
-USE_GDBM = @USE_GDBM@
-ifeq ($(USE_GDBM), 1)
-GDBM_DEFINES = -DUSE_GDBM
-else
-GDBM_DEFINES =
-endif
-
-USE_JDBM = @USE_JDBM@
-ifeq ($(USE_JDBM), 1)
-JDBM_DEFINES = -DUSE_JDBM
-else
-JDBM_DEFINES =
-endif
-
-USE_SQLITE = @USE_SQLITE@
-ifeq ($(USE_SQLITE), 1)
-USE_SQLITE = -DUSE_SQLITE
-else
-USE_SQLITE =
-endif
 
 INDEXERDIRS = $(UNAC) $(MG) $(MGPP) $(LUCENE)
-DEFS = @DEFS@ $(GDBM_DEFINES) $(JDBM_DEFINES) $(SQLITE_DEFINES)
+
 
 clean:
Index: /main/trunk/greenstone2/common-src/indexers/configure
===================================================================
--- /main/trunk/greenstone2/common-src/indexers/configure	(revision 22069)
+++ /main/trunk/greenstone2/common-src/indexers/configure	(revision 22070)
@@ -275,5 +275,5 @@
 ac_subdirs_all="$ac_subdirs_all mg"
 ac_subdirs_all="$ac_subdirs_all mgpp"
-ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS USE_JDBM USE_GDBM ENABLE_ACCENTFOLD ENABLE_JNI ENABLE_MG ENABLE_MGPP ENABLE_LUCENE COMPAT32BITFLAGS JAVAC JAVA uudecode subdirs LIBOBJS LTLIBOBJS'
+ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS ENABLE_ACCENTFOLD ENABLE_JNI ENABLE_MG ENABLE_MGPP ENABLE_LUCENE COMPAT32BITFLAGS JAVAC JAVA uudecode subdirs LIBOBJS LTLIBOBJS'
 ac_subst_files=''
 
@@ -786,6 +786,4 @@
   --disable-FEATURE       do not include FEATURE (same as --enable-FEATURE=no)
   --enable-FEATURE[=ARG]  include FEATURE [ARG=yes]
-  --disable-jdbm        Disable JDBM compilation
-  --disable-gdbm        Disable GDBM compilation
   --disable-accentfold    Disable Accent Folding for MGPP
   --enable-jni    Enable JNI compilation
@@ -1236,40 +1234,4 @@
 
 
-# Check whether --enable-jdbm or --disable-jdbm was given.
-if test "${enable_jdbm+set}" = set; then
-  enableval="$enable_jdbm"
-  USE_JDBM=$enableval
-else
-  USE_JDBM=yes
-fi;
-if test $USE_JDBM = "yes" -o $USE_JDBM = "1" ; then
-  USE_JDBM=1
-  cat >>confdefs.h <<\_ACEOF
-#define USE_JDBM
-_ACEOF
-
-else
-  USE_JDBM=0
-fi
-
-
-# Check whether --enable-gdbm or --disable-gdbm was given.
-if test "${enable_gdbm+set}" = set; then
-  enableval="$enable_gdbm"
-  USE_GDBM=$enableval
-else
-  USE_GDBM=yes
-fi;
-if test $USE_GDBM = "yes" -o $USE_GDBM = "1" ; then
-  USE_GDBM=1
-  cat >>confdefs.h <<\_ACEOF
-#define USE_GDBM
-_ACEOF
-
-else
-  USE_GDBM=0
-fi
-
-
 
 # Check whether --enable-accentfold or --disable-accentfold was given.
@@ -1473,5 +1435,5 @@
 CLASS_TEST=Test.class
 cat << \EOF > $JAVA_TEST
-/* #line 1475 "configure" */
+/* #line 1437 "configure" */
 public class Test {
 }
@@ -1643,5 +1605,5 @@
         ac_cv_prog_uudecode_base64=yes
 else
-        echo "configure: 1645: uudecode had trouble decoding base 64 file 'Test.uue'" >&5
+        echo "configure: 1607: uudecode had trouble decoding base 64 file 'Test.uue'" >&5
         echo "configure: failed file was:" >&5
         cat Test.uue >&5
@@ -1761,5 +1723,5 @@
 CLASS_TEST=Test.class
 cat << \EOF > $JAVA_TEST
-/* #line 1763 "configure" */
+/* #line 1725 "configure" */
 public class Test {
 }
@@ -1798,5 +1760,5 @@
 TEST=Test
 cat << \EOF > $JAVA_TEST
-/* [#]line 1800 "configure" */
+/* [#]line 1762 "configure" */
 public class Test {
 public static void main (String args[]) {
@@ -2554,6 +2516,4 @@
 s,@ECHO_T@,$ECHO_T,;t t
 s,@LIBS@,$LIBS,;t t
-s,@USE_JDBM@,$USE_JDBM,;t t
-s,@USE_GDBM@,$USE_GDBM,;t t
 s,@ENABLE_ACCENTFOLD@,$ENABLE_ACCENTFOLD,;t t
 s,@ENABLE_JNI@,$ENABLE_JNI,;t t
Index: /main/trunk/greenstone2/common-src/indexers/configure.ac
===================================================================
--- /main/trunk/greenstone2/common-src/indexers/configure.ac	(revision 22069)
+++ /main/trunk/greenstone2/common-src/indexers/configure.ac	(revision 22070)
@@ -3,28 +3,4 @@
 dnl http://www.gnu.org/software/hello/manual/autoconf/Initializing-configure.html
 AC_INIT()
-
-dnl
-dnl Set use of JDBM (enabled by default)
-dnl
-AC_ARG_ENABLE(jdbm, [  --disable-jdbm        Disable JDBM compilation], USE_JDBM=$enableval, USE_JDBM=yes)
-if test $USE_JDBM = "yes" -o $USE_JDBM = "1" ; then
-  USE_JDBM=1
-  AC_DEFINE(USE_JDBM,[])
-else
-  USE_JDBM=0
-fi
-AC_SUBST(USE_JDBM)
-
-dnl
-dnl Set use of GDBM (enabled by default)
-dnl
-AC_ARG_ENABLE(gdbm, [  --disable-gdbm        Disable GDBM compilation], USE_GDBM=$enableval, USE_GDBM=yes)
-if test $USE_GDBM = "yes" -o $USE_GDBM = "1" ; then
-  USE_GDBM=1
-  AC_DEFINE(USE_GDBM,[])
-else
-  USE_GDBM=0
-fi
-AC_SUBST(USE_GDBM)
 
 
Index: /main/trunk/greenstone2/common-src/indexers/mg/configure
===================================================================
--- /main/trunk/greenstone2/common-src/indexers/mg/configure	(revision 22069)
+++ /main/trunk/greenstone2/common-src/indexers/mg/configure	(revision 22070)
@@ -310,5 +310,5 @@
 #endif"
 
-ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS build build_cpu build_vendor build_os host host_cpu host_vendor host_os target target_cpu target_vendor target_os PACKAGE VERSION COMPAT32BITFLAGS USE_JDBM USE_GDBM CXX CXXFLAGS LDFLAGS CPPFLAGS ac_ct_CXX EXEEXT OBJEXT AWK YACC CC CFLAGS ac_ct_CC INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA LN_S SET_MAKE RANLIB ac_ct_RANLIB CPP EGREP U ANSI2KNR ALLOCA LIBOBJS JNIINC JNISUFFIX JNIFLAGS LTLIBOBJS'
+ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS build build_cpu build_vendor build_os host host_cpu host_vendor host_os target target_cpu target_vendor target_os PACKAGE VERSION COMPAT32BITFLAGS CXX CXXFLAGS LDFLAGS CPPFLAGS ac_ct_CXX EXEEXT OBJEXT AWK YACC CC CFLAGS ac_ct_CC INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA LN_S SET_MAKE RANLIB ac_ct_RANLIB CPP EGREP U ANSI2KNR ALLOCA LIBOBJS JNIINC JNISUFFIX JNIFLAGS LTLIBOBJS'
 ac_subst_files=''
 
@@ -855,10 +855,4 @@
 
   cat <<\_ACEOF
-
-Optional Features:
-  --disable-FEATURE       do not include FEATURE (same as --enable-FEATURE=no)
-  --enable-FEATURE[=ARG]  include FEATURE [ARG=yes]
-  --disable-jdbm        Disable JDBM compilation
-  --disable-gdbm        Disable GDBM compilation
 
 Optional Packages:
@@ -1476,41 +1470,4 @@
     COMPAT32BITFLAGS=
   fi
-fi
-
-
-
-# Check whether --enable-jdbm or --disable-jdbm was given.
-if test "${enable_jdbm+set}" = set; then
-  enableval="$enable_jdbm"
-  USE_JDBM=$enableval
-else
-  USE_JDBM=yes
-fi;
-if test $USE_JDBM = "yes" -o $USE_JDBM = "1" ; then
-  USE_JDBM=1
-  cat >>confdefs.h <<\_ACEOF
-#define USE_JDBM
-_ACEOF
-
-else
-  USE_JDBM=0
-fi
-
-
-# Check whether --enable-gdbm or --disable-gdbm was given.
-if test "${enable_gdbm+set}" = set; then
-  enableval="$enable_gdbm"
-  USE_GDBM=$enableval
-else
-  USE_GDBM=yes
-fi;
-if test $USE_GDBM = "yes" -o $USE_GDBM = "1" ; then
-  USE_GDBM=1
-  cat >>confdefs.h <<\_ACEOF
-#define USE_GDBM
-_ACEOF
-
-else
-  USE_GDBM=0
 fi
 
@@ -7289,6 +7246,4 @@
 s,@VERSION@,$VERSION,;t t
 s,@COMPAT32BITFLAGS@,$COMPAT32BITFLAGS,;t t
-s,@USE_JDBM@,$USE_JDBM,;t t
-s,@USE_GDBM@,$USE_GDBM,;t t
 s,@CXX@,$CXX,;t t
 s,@CXXFLAGS@,$CXXFLAGS,;t t
Index: /main/trunk/greenstone2/common-src/indexers/mg/configure.in
===================================================================
--- /main/trunk/greenstone2/common-src/indexers/mg/configure.in	(revision 22069)
+++ /main/trunk/greenstone2/common-src/indexers/mg/configure.in	(revision 22070)
@@ -36,29 +36,4 @@
 fi
 AC_SUBST(COMPAT32BITFLAGS)
-
-
-dnl
-dnl Set use of JDBM (enabled by default)
-dnl
-AC_ARG_ENABLE(jdbm, [  --disable-jdbm        Disable JDBM compilation], USE_JDBM=$enableval, USE_JDBM=yes)
-if test $USE_JDBM = "yes" -o $USE_JDBM = "1" ; then
-  USE_JDBM=1
-  AC_DEFINE(USE_JDBM,[])
-else
-  USE_JDBM=0
-fi
-AC_SUBST(USE_JDBM)
-
-dnl
-dnl Set use of GDBM (enabled by default)
-dnl
-AC_ARG_ENABLE(gdbm, [  --disable-gdbm        Disable GDBM compilation], USE_GDBM=$enableval, USE_GDBM=yes)
-if test $USE_GDBM = "yes" -o $USE_GDBM = "1" ; then
-  USE_GDBM=1
-  AC_DEFINE(USE_GDBM,[])
-else
-  USE_GDBM=0
-fi
-AC_SUBST(USE_GDBM)
 
 
Index: /main/trunk/greenstone2/common-src/indexers/mg/jni/Makefile.in
===================================================================
--- /main/trunk/greenstone2/common-src/indexers/mg/jni/Makefile.in	(revision 22069)
+++ /main/trunk/greenstone2/common-src/indexers/mg/jni/Makefile.in	(revision 22070)
@@ -11,29 +11,9 @@
 transform = @program_transform_name@
 
-USE_GDBM = @USE_GDBM@
-ifeq ($(USE_GDBM), 1)
-GDBM_DEFINES = -DUSE_GDBM
-else
-GDBM_DEFINES = 
-endif
-
-USE_JDBM = @USE_JDBM@
-ifeq ($(USE_JDBM), 1)
-JDBM_DEFINES = -DUSE_JDBM
-else
-JDBM_DEFINES = 
-endif
-
-USE_SQLITE = @USE_SQLITE@
-ifeq ($(USE_SQLITE), 1)
-SQLITE_DEFINES = -DUSE_SQLITE
-else
-SQLITE_DEFINES =
-endif
 
 AR = ar
 CC = @CC@
 CFLAGS = @CFLAGS@ @COMPAT32BITFLAGS@ -ansi -fpic -DSILENT -DSHORT_SUFFIX -DNZDL -DQUIET -DPARADOCNUM
-DEFS = @DEFS@ $(GDBM_DEFINES) $(JDBM_DEFINES) $(SQLITE_DEFINES)
+DEFS = @DEFS@
 RANLIB = @RANLIB@
 INSTALL = @INSTALL@
Index: /main/trunk/greenstone2/common-src/indexers/mg/lib/Makefile.in
===================================================================
--- /main/trunk/greenstone2/common-src/indexers/mg/lib/Makefile.in	(revision 22069)
+++ /main/trunk/greenstone2/common-src/indexers/mg/lib/Makefile.in	(revision 22070)
@@ -31,29 +31,9 @@
 VPATH = @srcdir@
 
-USE_GDBM = @USE_GDBM@
-ifeq ($(USE_GDBM), 1)
-GDBM_DEFINES = -DUSE_GDBM
-else
-GDBM_DEFINES = 
-endif
-
-USE_JDBM = @USE_JDBM@
-ifeq ($(USE_JDBM), 1)
-JDBM_DEFINES = -DUSE_JDBM
-else
-JDBM_DEFINES = 
-endif
-
-USE_SQLITE = @USE_SQLITE@
-ifeq ($(USE_SQLITE), 1)
-SQLITE_DEFINES = -DUSE_SQLITE
-else
-SQLITE_DEFINES =
-endif
 
 AR = ar
 CC = @CC@
 CFLAGS = @CFLAGS@ @COMPAT32BITFLAGS@ -fpic 
-DEFS = @DEFS@ $(GDBM_DEFINES) $(JDBM_DEFINES) $(SQLITE_DEFINES)
+DEFS = @DEFS@
 RANLIB = @RANLIB@
 
Index: /main/trunk/greenstone2/common-src/indexers/mg/src/text/Makefile.in
===================================================================
--- /main/trunk/greenstone2/common-src/indexers/mg/src/text/Makefile.in	(revision 22069)
+++ /main/trunk/greenstone2/common-src/indexers/mg/src/text/Makefile.in	(revision 22070)
@@ -35,29 +35,9 @@
 transform = @program_transform_name@
 
-USE_GDBM = @USE_GDBM@
-ifeq ($(USE_GDBM), 1)
-GDBM_DEFINES = -DUSE_GDBM
-else
-GDBM_DEFINES = 
-endif
-
-USE_JDBM = @USE_JDBM@
-ifeq ($(USE_JDBM), 1)
-JDBM_DEFINES = -DUSE_JDBM
-else
-JDBM_DEFINES = 
-endif
-
-USE_SQLITE = @USE_SQLITE@
-ifeq ($(USE_SQLITE), 1)
-SQLITE_DEFINES = -DUSE_SQLITE
-else
-SQLITE_DEFINES =
-endif
 
 AR = ar
 CC = @CC@
 CFLAGS = @CFLAGS@ @COMPAT32BITFLAGS@ -fpic
-DEFS = @DEFS@ $(GDBM_DEFINES) $(JDBM_DEFINES) $(SQLITE_DEFINES)
+DEFS = @DEFS@
 RANLIB = @RANLIB@
 INSTALL = @INSTALL@
Index: /main/trunk/greenstone2/common-src/indexers/mgpp/configure
===================================================================
--- /main/trunk/greenstone2/common-src/indexers/mgpp/configure	(revision 22069)
+++ /main/trunk/greenstone2/common-src/indexers/mgpp/configure	(revision 22070)
@@ -310,5 +310,5 @@
 #endif"
 
-ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS build build_cpu build_vendor build_os host host_cpu host_vendor host_os target target_cpu target_vendor target_os PACKAGE VERSION COMPAT32BITFLAGS ENABLE_ACCENTFOLD USE_JDBM USE_GDBM CXX CXXFLAGS LDFLAGS CPPFLAGS ac_ct_CXX EXEEXT OBJEXT AWK YACC CC CFLAGS ac_ct_CC INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA LN_S SET_MAKE RANLIB ac_ct_RANLIB CPP EGREP U ANSI2KNR UNAC_DIR ALLOCA LIBOBJS JNIINC JNISUFFIX JNIFLAGS LTLIBOBJS'
+ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS build build_cpu build_vendor build_os host host_cpu host_vendor host_os target target_cpu target_vendor target_os PACKAGE VERSION COMPAT32BITFLAGS ENABLE_ACCENTFOLD CXX CXXFLAGS LDFLAGS CPPFLAGS ac_ct_CXX EXEEXT OBJEXT AWK YACC CC CFLAGS ac_ct_CC INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA LN_S SET_MAKE RANLIB ac_ct_RANLIB CPP EGREP U ANSI2KNR UNAC_DIR ALLOCA LIBOBJS JNIINC JNISUFFIX JNIFLAGS LTLIBOBJS'
 ac_subst_files=''
 
@@ -860,6 +860,4 @@
   --enable-FEATURE[=ARG]  include FEATURE [ARG=yes]
   --disable-accentfold    Disable Accent Folding for MGPP
-  --disable-jdbm        Disable JDBM compilation
-  --disable-gdbm        Disable GDBM compilation
   --enable-override-longlong
                           overide use of long long with GCC
@@ -1501,39 +1499,4 @@
 fi
 
-
-# Check whether --enable-jdbm or --disable-jdbm was given.
-if test "${enable_jdbm+set}" = set; then
-  enableval="$enable_jdbm"
-  USE_JDBM=$enableval
-else
-  USE_JDBM=yes
-fi;
-if test $USE_JDBM = "yes" -o $USE_JDBM = "1" ; then
-  USE_JDBM=1
-  cat >>confdefs.h <<\_ACEOF
-#define USE_JDBM
-_ACEOF
-
-else
-  USE_JDBM=0
-fi
-
-
-# Check whether --enable-gdbm or --disable-gdbm was given.
-if test "${enable_gdbm+set}" = set; then
-  enableval="$enable_gdbm"
-  USE_GDBM=$enableval
-else
-  USE_GDBM=yes
-fi;
-if test $USE_GDBM = "yes" -o $USE_GDBM = "1" ; then
-  USE_GDBM=1
-  cat >>confdefs.h <<\_ACEOF
-#define USE_GDBM
-_ACEOF
-
-else
-  USE_GDBM=0
-fi
 
 
@@ -8397,6 +8360,4 @@
 s,@COMPAT32BITFLAGS@,$COMPAT32BITFLAGS,;t t
 s,@ENABLE_ACCENTFOLD@,$ENABLE_ACCENTFOLD,;t t
-s,@USE_JDBM@,$USE_JDBM,;t t
-s,@USE_GDBM@,$USE_GDBM,;t t
 s,@CXX@,$CXX,;t t
 s,@CXXFLAGS@,$CXXFLAGS,;t t
Index: /main/trunk/greenstone2/common-src/indexers/mgpp/configure.in
===================================================================
--- /main/trunk/greenstone2/common-src/indexers/mgpp/configure.in	(revision 22069)
+++ /main/trunk/greenstone2/common-src/indexers/mgpp/configure.in	(revision 22070)
@@ -49,27 +49,4 @@
 AC_SUBST(ENABLE_ACCENTFOLD)
 
-dnl
-dnl Set use of JDBM (enabled by default)
-dnl
-AC_ARG_ENABLE(jdbm, [  --disable-jdbm        Disable JDBM compilation], USE_JDBM=$enableval, USE_JDBM=yes)
-if test $USE_JDBM = "yes" -o $USE_JDBM = "1" ; then
-  USE_JDBM=1
-  AC_DEFINE(USE_JDBM,[])
-else
-  USE_JDBM=0
-fi
-AC_SUBST(USE_JDBM)
-
-dnl
-dnl Set use of GDBM (enabled by default)
-dnl
-AC_ARG_ENABLE(gdbm, [  --disable-gdbm        Disable GDBM compilation], USE_GDBM=$enableval, USE_GDBM=yes)
-if test $USE_GDBM = "yes" -o $USE_GDBM = "1" ; then
-  USE_GDBM=1
-  AC_DEFINE(USE_GDBM,[])
-else
-  USE_GDBM=0
-fi
-AC_SUBST(USE_GDBM)
 
 dnl Checks for programs.
Index: /main/trunk/greenstone2/common-src/indexers/mgpp/jni/Makefile.in
===================================================================
--- /main/trunk/greenstone2/common-src/indexers/mgpp/jni/Makefile.in	(revision 22069)
+++ /main/trunk/greenstone2/common-src/indexers/mgpp/jni/Makefile.in	(revision 22070)
@@ -22,25 +22,4 @@
 endif
 
-USE_GDBM = @USE_GDBM@
-ifeq ($(USE_GDBM), 1)
-GDBM_DEFINES = -DUSE_GDBM
-else
-GDBM_DEFINES = 
-endif
-
-USE_JDBM = @USE_JDBM@
-ifeq ($(USE_JDBM), 1)
-JDBM_DEFINES = -DUSE_JDBM
-else
-JDBM_DEFINES = 
-endif
-
-USE_SQLITE = @USE_SQLITE@
-ifeq ($(USE_SQLITE), 1)
-SQLITE_DEFINES = -DUSE_SQLITE
-else
-SQLITE_DEFINES =
-endif
-
 
 AR = ar
@@ -49,5 +28,5 @@
 CFLAGS = @CFLAGS@ @COMPAT32BITFLAGS@ -fPIC -ansi -DSILENT -DSHORT_SUFFIX
 CXXFLAGS = @CXXFLAGS@ @COMPAT32BITFLAGS@ -fPIC -DSILENT -DSHORT_SUFFIX
-DEFS = @DEFS@ $(GDBM_DEFINES) $(JDBM_DEFINES) $(SQLITE_DEFINES)
+DEFS = @DEFS@
 RANLIB = @RANLIB@
 INSTALL = @INSTALL@
Index: /main/trunk/greenstone2/common-src/indexers/mgpp/lib/Makefile.in
===================================================================
--- /main/trunk/greenstone2/common-src/indexers/mgpp/lib/Makefile.in	(revision 22069)
+++ /main/trunk/greenstone2/common-src/indexers/mgpp/lib/Makefile.in	(revision 22070)
@@ -31,24 +31,4 @@
 VPATH = @srcdir@
 
-USE_GDBM = @USE_GDBM@
-ifeq ($(USE_GDBM), 1)
-GDBM_DEFINES = -DUSE_GDBM
-else
-GDBM_DEFINES = 
-endif
-
-USE_JDBM = @USE_JDBM@
-ifeq ($(USE_JDBM), 1)
-JDBM_DEFINES = -DUSE_JDBM
-else
-JDBM_DEFINES = 
-endif
-
-USE_SQLITE = @USE_SQLITE@
-ifeq ($(USE_SQLITE), 1)
-SQLITE_DEFINES = -DUSE_SQLITE
-else
-SQLITE_DEFINES =
-endif
 
 AR = ar
@@ -61,5 +41,5 @@
 endif
 CXXFLAGS = @CXXFLAGS@ @COMPAT32BITFLAGS@ -fPIC
-DEFS = @DEFS@ $(GDBM_DEFINES) $(JDBM_DEFINES) $(SQLITE_DEFINES)
+DEFS = @DEFS@
 RANLIB = @RANLIB@
 
Index: /main/trunk/greenstone2/common-src/indexers/mgpp/text/Makefile.in
===================================================================
--- /main/trunk/greenstone2/common-src/indexers/mgpp/text/Makefile.in	(revision 22069)
+++ /main/trunk/greenstone2/common-src/indexers/mgpp/text/Makefile.in	(revision 22070)
@@ -38,24 +38,4 @@
 endif
 
-USE_GDBM = @USE_GDBM@
-ifeq ($(USE_GDBM), 1)
-GDBM_DEFINES = -DUSE_GDBM
-else
-GDBM_DEFINES = 
-endif
-
-USE_JDBM = @USE_JDBM@
-ifeq ($(USE_JDBM), 1)
-JDBM_DEFINES = -DUSE_JDBM
-else
-JDBM_DEFINES = 
-endif
-
-USE_SQLITE = @USE_SQLITE@
-ifeq ($(USE_SQLITE), 1)
-SQLITE_DEFINES = -DUSE_SQLITE
-else
-SQLITE_DEFINES =
-endif
 
 SHELL = /bin/sh
@@ -75,5 +55,5 @@
 CFLAGS = @CFLAGS@ @COMPAT32BITFLAGS@ -ansi -fPIC -DSILENT -DSHORT_SUFFIX $(AFFLAGS)
 CXXFLAGS = @CXXFLAGS@ @COMPAT32BITFLAGS@ -fPIC -DSILENT -DSHORT_SUFFIX $(AFFLAGS)
-DEFS = @DEFS@ $(GDBM_DEFINES) $(JDBM_DEFINES) $(SQLITE_DEFINES)
+DEFS = @DEFS@
 RANLIB = @RANLIB@
 INSTALL = @INSTALL@