Index: main/trunk/greenstone2/common-src/src/gdbmedit/db2txt/Makefile.in
===================================================================
--- main/trunk/greenstone2/common-src/src/gdbmedit/db2txt/Makefile.in	(revision 22076)
+++ main/trunk/greenstone2/common-src/src/gdbmedit/db2txt/Makefile.in	(revision 22077)
@@ -29,25 +29,4 @@
 
 COMMON_PACKAGES_DIR = $(COMMON_DIR)/packages
-
-USE_GDBM = @USE_GDBM@
-ifeq ($(USE_GDBM), 1)
-GDBM_DEFINES = -DUSE_GDBM
-else
-GDBM_DEFINES = 
-endif
-
-USE_JDBM = @USE_JDBM@
-ifeq ($(USE_JDBM), 1)
-JDBM_DEFINES = -DUSE_JDBM
-else
-JDBM_DEFINES = 
-endif
-
-USE_SQLITE = @USE_SQLITE@
-ifeq ($(USE_SQLITE), 1)
-SQLITE_DEFINES = -DUSE_SQLITE
-else
-SQLITE_DEFINES =
-endif
 
 CXX = @CXX@
Index: main/trunk/greenstone2/common-src/src/gdbmedit/gdbmdel/Makefile.in
===================================================================
--- main/trunk/greenstone2/common-src/src/gdbmedit/gdbmdel/Makefile.in	(revision 22076)
+++ main/trunk/greenstone2/common-src/src/gdbmedit/gdbmdel/Makefile.in	(revision 22077)
@@ -29,25 +29,4 @@
 
 COMMON_PACKAGES_DIR = $(COMMON_DIR)/packages
-
-USE_GDBM = @USE_GDBM@
-ifeq ($(USE_GDBM), 1)
-GDBM_DEFINES = -DUSE_GDBM
-else
-GDBM_DEFINES = 
-endif
-
-USE_JDBM = @USE_JDBM@
-ifeq ($(USE_JDBM), 1)
-JDBM_DEFINES = -DUSE_JDBM
-else
-JDBM_DEFINES = 
-endif
-
-USE_SQLITE = @USE_SQLITE@
-ifeq ($(USE_SQLITE), 1)
-SQLITE_DEFINES = -DUSE_SQLITE
-else
-SQLITE_DEFINES =
-endif
 
 CXX = @CXX@
Index: main/trunk/greenstone2/common-src/src/gdbmedit/gdbmget/Makefile.in
===================================================================
--- main/trunk/greenstone2/common-src/src/gdbmedit/gdbmget/Makefile.in	(revision 22076)
+++ main/trunk/greenstone2/common-src/src/gdbmedit/gdbmget/Makefile.in	(revision 22077)
@@ -29,25 +29,4 @@
 
 COMMON_PACKAGES_DIR = $(COMMON_DIR)/packages
-
-USE_GDBM = @USE_GDBM@
-ifeq ($(USE_GDBM), 1)
-GDBM_DEFINES = -DUSE_GDBM
-else
-GDBM_DEFINES = 
-endif
-
-USE_JDBM = @USE_JDBM@
-ifeq ($(USE_JDBM), 1)
-JDBM_DEFINES = -DUSE_JDBM
-else
-JDBM_DEFINES = 
-endif
-
-USE_SQLITE = @USE_SQLITE@
-ifeq ($(USE_SQLITE), 1)
-SQLITE_DEFINES = -DUSE_SQLITE
-else
-SQLITE_DEFINES =
-endif
 
 CXX = @CXX@
Index: main/trunk/greenstone2/common-src/src/gdbmedit/gdbmkeys/Makefile.in
===================================================================
--- main/trunk/greenstone2/common-src/src/gdbmedit/gdbmkeys/Makefile.in	(revision 22076)
+++ main/trunk/greenstone2/common-src/src/gdbmedit/gdbmkeys/Makefile.in	(revision 22077)
@@ -29,25 +29,4 @@
 
 COMMON_PACKAGES_DIR = $(COMMON_DIR)/packages
-
-USE_GDBM = @USE_GDBM@
-ifeq ($(USE_GDBM), 1)
-GDBM_DEFINES = -DUSE_GDBM
-else
-GDBM_DEFINES = 
-endif
-
-USE_JDBM = @USE_JDBM@
-ifeq ($(USE_JDBM), 1)
-JDBM_DEFINES = -DUSE_JDBM
-else
-JDBM_DEFINES = 
-endif
-
-USE_SQLITE = @USE_SQLITE@
-ifeq ($(USE_SQLITE), 1)
-SQLITE_DEFINES = -DUSE_SQLITE
-else
-SQLITE_DEFINES =
-endif
 
 CXX = @CXX@
Index: main/trunk/greenstone2/common-src/src/gdbmedit/gdbmset/Makefile.in
===================================================================
--- main/trunk/greenstone2/common-src/src/gdbmedit/gdbmset/Makefile.in	(revision 22076)
+++ main/trunk/greenstone2/common-src/src/gdbmedit/gdbmset/Makefile.in	(revision 22077)
@@ -29,25 +29,4 @@
 
 COMMON_PACKAGES_DIR = $(COMMON_DIR)/packages
-
-USE_GDBM = @USE_GDBM@
-ifeq ($(USE_GDBM), 1)
-GDBM_DEFINES = -DUSE_GDBM
-else
-GDBM_DEFINES = 
-endif
-
-USE_JDBM = @USE_JDBM@
-ifeq ($(USE_JDBM), 1)
-JDBM_DEFINES = -DUSE_JDBM
-else
-JDBM_DEFINES = 
-endif
-
-USE_SQLITE = @USE_SQLITE@
-ifeq ($(USE_SQLITE), 1)
-SQLITE_DEFINES = -DUSE_SQLITE
-else
-SQLITE_DEFINES =
-endif
 
 CXX = @CXX@
Index: main/trunk/greenstone2/common-src/src/gdbmedit/txt2db/Makefile.in
===================================================================
--- main/trunk/greenstone2/common-src/src/gdbmedit/txt2db/Makefile.in	(revision 22076)
+++ main/trunk/greenstone2/common-src/src/gdbmedit/txt2db/Makefile.in	(revision 22077)
@@ -29,25 +29,4 @@
 
 COMMON_PACKAGES_DIR = $(COMMON_DIR)/packages
-
-USE_GDBM = @USE_GDBM@
-ifeq ($(USE_GDBM), 1)
-GDBM_DEFINES = -DUSE_GDBM
-else
-GDBM_DEFINES = 
-endif
-
-USE_JDBM = @USE_JDBM@
-ifeq ($(USE_JDBM), 1)
-JDBM_DEFINES = -DUSE_JDBM
-else
-JDBM_DEFINES = 
-endif
-
-USE_SQLITE = @USE_SQLITE@
-ifeq ($(USE_SQLITE), 1)
-SQLITE_DEFINES = -DUSE_SQLITE
-else
-SQLITE_DEFINES =
-endif
 
 CXX = @CXX@