Index: main/trunk/greenstone2/runtime-src/src/oaiservr/win32.mak
===================================================================
--- main/trunk/greenstone2/runtime-src/src/oaiservr/win32.mak	(revision 22079)
+++ main/trunk/greenstone2/runtime-src/src/oaiservr/win32.mak	(revision 22080)
@@ -43,8 +43,5 @@
 DLLDEBUG = 0
 ENABLE_ACCENTFOLD = 1
-USE_GDBM = 1
-USE_JDBM = 1
 USE_SQLITE = 1
-USE_MSSQL = 0
 ENABLE_MG = 1
 ENABLE_MGPP = 1
@@ -77,33 +74,8 @@
 !ENDIF
 
-!IF $(USE_GDBM)
-GDBM_INCLUDES = -I"$(COMMON_PACKAGES_DIR)\gdbm\gdbm-1.8.3" \
-	-I"$(COMMON_PACKAGES_DIR)\gdbm\gdbm-1.8.3\windows"
-GDBM_LIBS = "$(COMMON_PACKAGES_DIR)\gdbm\gdbm-1.8.3\gdbm.lib"
-GDBM_DEFINES = -DUSE_GDBM
-!ELSE
-GDBM_INCLUDES = 
-GDBM_LIBS = 
-GDBM_DEFINES =
-!ENDIF
-
-!IF $(USE_JDBM)
-JDBM_DEFINES = -DUSE_JDBM
-!ELSE
-JDBM_DEFINES =
-!ENDIF
-
 !IF $(USE_SQLITE)
 SQLITE_LIBS = "$(COMMON_PACKAGES_DIR)\sqlite\lib\sqlite3.lib"
-SQLITE_DEFINES = -DUSE_SQLITE
 !ELSE
 SQLITE_LIBS = 
-SQLITE_DEFINES =
-!ENDIF
-
-!IF $(USE_MSSQL)
-MSSQL_DEFINES = -DUSE_MSSQL
-!ELSE
-MSSQL_DEFINES =
 !ENDIF
 
@@ -138,13 +110,12 @@
 CC = cl
 DEFS = -D__WIN32__ -DHAVE_CONFIG_H -DPARADOCNUM -D_LITTLE_ENDIAN -DSHORT_SUFFIX -D_CRT_SECURE_NO_DEPRECATE \
-        -DGSDL_NOCACHE $(GDBM_DEFINES) $(JDBM_DEFINES) $(SQLITE_DEFINES) $(MSSQL_DEFINES) \
-	$(MG_DEFS) $(MGPP_DEFS) $(LUCENE_DEFS)
+        -DGSDL_NOCACHE $(MG_DEFS) $(MGPP_DEFS) $(LUCENE_DEFS)
 INCLUDES = -I"$(COMMON_DIR)\src\lib" -I"$(COLSERVR_DIR)" -I"$(PROTOCOL_DIR)" -I"$(RECPT_DIR)" \
         $(MGPP_INCLUDES) -I"$(COMMON_PACKAGES_DIR)\windows\crypt\crypt" \
-	$(GDBM_INCLUDES) \
+	-I"$(COMMON_PACKAGES_DIR)\gdbm\gdbm-1.8.3" -I"$(COMMON_PACKAGES_DIR)\gdbm\gdbm-1.8.3\windows" \
 	-I"$(COMMON_PACKAGES_DIR)\windows\expat\expat"
 LDFLAGS = 
 LIBS = "$(COMMON_PACKAGES_DIR)\windows\crypt\crypt\crypt.lib" "$(COMMON_PACKAGES_DIR)\windows\expat\expat\libexpat.lib" \
-        $(GDBM_LIBS) $(ACCENTFOLD_LIBS) $(SQLITE_LIBS)
+        "$(COMMON_PACKAGES_DIR)\gdbm\gdbm-1.8.3\gdbm.lib" $(ACCENTFOLD_LIBS) $(SQLITE_LIBS)
 
 !IF $(GSDL_VC4)
Index: main/trunk/greenstone2/runtime-src/src/protocol/win32.mak
===================================================================
--- main/trunk/greenstone2/runtime-src/src/protocol/win32.mak	(revision 22079)
+++ main/trunk/greenstone2/runtime-src/src/protocol/win32.mak	(revision 22080)
@@ -38,8 +38,4 @@
 DLL = 0
 DLLDEBUG = 0
-USE_GDBM = 1
-USE_JDBM = 1
-USE_SQLITE = 1
-USE_MSSQL = 0
 ENABLE_MG = 1
 ENABLE_MGPP = 1
@@ -64,30 +60,4 @@
 CXXFLAGS = $(CXXFLAGS) -MDd
 !ENDIF
-!ENDIF
-
-!IF $(USE_GDBM)
-GDBM_DEFINES = -DUSE_GDBM
-GDBM_INCLUDES = -I"$(COMMON_PACKAGES_DIR)\windows\gdbm\gdbm
-!ELSE
-GDBM_DEFINES = 
-GDBM_INCLUDES = 
-!ENDIF
-
-!IF $(USE_JDBM)
-JDBM_DEFINES = -DUSE_JDBM
-!ELSE
-JDBM_DEFINES = 
-!ENDIF
-
-!IF $(USE_SQLITE)
-SQLITE_DEFINES = -DUSE_SQLITE
-!ELSE
-SQLITE_DEFINES = 
-!ENDIF
-
-!IF $(USE_MSSQL)
-MSSQL_DEFINES = -DUSE_MSSQL
-!ELSE
-MSSQL_DEFINES = 
 !ENDIF
 
@@ -115,9 +85,8 @@
 CC = cl
 DEFS = -D__WIN32__ -DHAVE_CONFIG_H -DPARADOCNUM -D_LITTLE_ENDIAN -DSHORT_SUFFIX -D_CRT_SECURE_NO_DEPRECATE \
-	$(GDBM_DEFINES) $(JDBM_DEFINES) $(SQLITE_DEFINES) $(MSSQL_DEFINES) \
 	$(MG_DEFS) $(MGPP_DEFS) $(LUCENE_DEFS)
 # Do NOT add the "recpt" directory here: the protocol should be independent of the receptionist!
 INCLUDES = -I"$(GSDL_DIR)" -I"$(COMMON_DIR)\src\lib" -I"$(COLSERVR_DIR)" $(MGPP_INCLUDES) \
-	 $(GDBM_INCLUDES)
+	 -I"$(COMMON_PACKAGES_DIR)\windows\gdbm\gdbm"
 
 !IF $(GSDL_VC4)
Index: main/trunk/greenstone2/runtime-src/src/recpt/win32.mak
===================================================================
--- main/trunk/greenstone2/runtime-src/src/recpt/win32.mak	(revision 22079)
+++ main/trunk/greenstone2/runtime-src/src/recpt/win32.mak	(revision 22080)
@@ -45,7 +45,5 @@
 ENABLE_ACCENTFOLD = 1
 USE_GDBM = 1
-USE_JDBM = 1
 USE_SQLITE = 1
-USE_MSSQL = 0
 ENABLE_MG = 1
 ENABLE_MGPP = 1
@@ -80,16 +78,8 @@
 !IF $(USE_GDBM)
 GDBM_DEFINES = -DUSE_GDBM
-GDBM_LIBS = "$(COMMON_PACKAGES_DIR)\gdbm\gdbm-1.8.3\gdbm.lib"
 GDBM_INCLUDES = -I"$(COMMON_PACKAGES_DIR)\gdbm\gdbm-1.8.3" -I"$(COMMON_PACKAGES_DIR)\gdbm\gdbm-1.8.3\windows"
 !ELSE
 GDBM_DEFINES = 
-GDBM_LIBS = 
 GDBM_INCLUDES = 
-!ENDIF
-
-!IF $(USE_JDBM)
-JDBM_DEFINES = -DUSE_JDBM
-!ELSE
-JDBM_DEFINES = 
 !ENDIF
 
@@ -104,10 +94,4 @@
 SQL_OBJECTS =
 SQLITE_LIBS = 
-!ENDIF
-
-!IF $(USE_MSSQL)
-MSSQL_DEFINES = -DUSE_MSSQL
-!ELSE
-MSSQL_DEFINES = 
 !ENDIF
 
@@ -158,6 +142,5 @@
 CC = cl
 DEFS = -D__WIN32__ -DHAVE_CONFIG_H -DPARADOCNUM -D_LITTLE_ENDIAN -DSHORT_SUFFIX -D_CRT_SECURE_NO_DEPRECATE \
-        -DGSDL_NOCACHE $(GDBM_DEFINES) $(JDBM_DEFINES) $(SQLITE_DEFINES) $(MSSQL_DEFINES) \
-	$(Z3950_DEFS) $(MG_DEFS) $(MGPP_DEFS) $(LUCENE_DEFS)
+        -DGSDL_NOCACHE $(GDBM_DEFINES) $(Z3950_DEFS) $(MG_DEFS) $(MGPP_DEFS) $(LUCENE_DEFS)
 INCLUDES = -I. -I"$(GSDL_DIR)" -I"$(COMMON_DIR)\src\lib" -I"$(COLSERVR_DIR)" -I"$(PROTOCOL_DIR)" \
 	$(MG_INCLUDES) $(MGPP_INCLUDES) \
@@ -167,5 +150,5 @@
 LDFLAGS = 
 LIBS = "$(COMMON_PACKAGES_DIR)\windows\crypt\crypt\crypt.lib" "$(COMMON_PACKAGES_DIR)\windows\expat\expat\libexpat.lib" \
-       $(GDBM_LIBS) $(ACCENTFOLD_LIBS) $(SQLITE_LIBS) $(Z3950_LIBS)
+        "$(COMMON_PACKAGES_DIR)\gdbm\gdbm-1.8.3\gdbm.lib" $(ACCENTFOLD_LIBS) $(SQLITE_LIBS) $(Z3950_LIBS)
 
 !IF $(GSDL_VC4)
Index: main/trunk/greenstone2/runtime-src/src/w32server/win32.mak
===================================================================
--- main/trunk/greenstone2/runtime-src/src/w32server/win32.mak	(revision 22079)
+++ main/trunk/greenstone2/runtime-src/src/w32server/win32.mak	(revision 22080)
@@ -40,8 +40,5 @@
 DEBUG = 0
 ENABLE_ACCENTFOLD = 1
-USE_GDBM = 1
-USE_JDBM = 1
 USE_SQLITE = 1
-USE_MSSQL = 0
 ENABLE_MG = 1
 ENABLE_MGPP = 1
@@ -69,33 +66,8 @@
 !ENDIF
 
-!IF $(USE_GDBM)
-GDBM_INCLUDES = -I"$(COMMON_PACKAGES_DIR)\gdbm\gdbm-1.8.3" \
-	-I"$(COMMON_PACKAGES_DIR)\gdbm\gdbm-1.8.3\windows"
-GDBM_LIBS = "$(COMMON_PACKAGES_DIR)\gdbm\gdbm-1.8.3\gdbm.lib"
-GDBM_DEFINES = -DUSE_GDBM
-!ELSE
-GDBM_INCLUDES = 
-GDBM_LIBS = 
-GDBM_DEFINES =
-!ENDIF
-
-!IF $(USE_JDBM)
-JDBM_DEFINES = -DUSE_JDBM
-!ELSE
-JDBM_DEFINES =
-!ENDIF
-
 !IF $(USE_SQLITE)
 SQLITE_LIBS = "$(COMMON_PACKAGES_DIR)\sqlite\lib\sqlite3.lib"
-SQLITE_DEFINES = -DUSE_SQLITE
 !ELSE
 SQLITE_LIBS = 
-SQLITE_DEFINES =
-!ENDIF
-
-!IF $(USE_MSSQL)
-MSSQL_DEFINES = -DUSE_MSSQL
-!ELSE
-MSSQL_DEFINES =
 !ENDIF
 
@@ -131,8 +103,7 @@
 CC = cl
 DEFS = -D__WIN32__ -DHAVE_CONFIG_H -D_LITTLE_ENDIAN -DPARADOCNUM -DSHORT_SUFFIX -D_CRT_SECURE_NO_DEPRECATE \
-	$(GDBM_DEFINES) $(JDBM_DEFINES) $(SQLITE_DEFINES) $(MSSQL_DEFINES) \
 	$(MG_DEFS) $(MGPP_DEFS) $(LUCENE_DEFS)
 INCLUDES = -I"$(GSDL_DIR)" -I"$(COMMON_DIR)\src\lib" -I"$(COLSERVR_DIR)" -I"$(PROTOCOL_DIR)" -I"$(RECPT_DIR)" \
-	$(GDBM_INCLUDES) \	
+	-I"$(COMMON_PACKAGES_DIR)\gdbm\gdbm-1.8.3" -I"$(COMMON_PACKAGES_DIR)\gdbm\gdbm-1.8.3\windows" \
 	-I"$(COLSERVR_DIR)" \
 	$(MG_INCLUDES) \
@@ -140,5 +111,5 @@
 
 LIBS = "$(COMMON_PACKAGES_DIR)\windows\crypt\crypt\crypt.lib" "$(COMMON_PACKAGES_DIR)\windows\expat\expat\libexpat.lib" \
-        $(GDBM_LIBS) $(ACCENTFOLD_LIBS) $(SQLITE_LIBS)
+        "$(COMMON_PACKAGES_DIR)\gdbm\gdbm-1.8.3\gdbm.lib" $(ACCENTFOLD_LIBS) $(SQLITE_LIBS)
 RSC = rc
 WINLIBS = kernel32.lib user32.lib gdi32.lib winspool.lib \
Index: main/trunk/greenstone2/runtime-src/src/z3950/win32.mak
===================================================================
--- main/trunk/greenstone2/runtime-src/src/z3950/win32.mak	(revision 22079)
+++ main/trunk/greenstone2/runtime-src/src/z3950/win32.mak	(revision 22080)
@@ -41,8 +41,5 @@
 DLLDEBUG = 0
 ENABLE_ACCENTFOLD = 1
-USE_GDBM = 1
-USE_JDBM = 1
 USE_SQLITE = 1
-USE_MSSQL = 0
 ENABLE_MG = 1
 ENABLE_MGPP = 1
@@ -75,33 +72,8 @@
 !ENDIF
 
-!IF $(USE_GDBM)
-GDBM_INCLUDES = -I"$(COMMON_PACKAGES_DIR)\gdbm\gdbm-1.8.3" \
-	-I"$(COMMON_PACKAGES_DIR)\gdbm\gdbm-1.8.3\windows"
-GDBM_LIBS = "$(COMMON_PACKAGES_DIR)\gdbm\gdbm-1.8.3\gdbm.lib"
-GDBM_DEFINES = -DUSE_GDBM
-!ELSE
-GDBM_INCLUDES = 
-GDBM_LIBS = 
-GDBM_DEFINES =
-!ENDIF
-
-!IF $(USE_JDBM)
-JDBM_DEFINES = -DUSE_JDBM
-!ELSE
-JDBM_DEFINES =
-!ENDIF
-
 !IF $(USE_SQLITE)
-SQLITE_LIBS = "$(COMMON_PACKAGES_DIR)\sqlite\lib\sqlite3.lib
-SQLITE_DEFINES = -DUSE_SQLITE
+SQLITE_LIBS = "$(COMMON_PACKAGES_DIR)\sqlite\lib\sqlite3.lib"
 !ELSE
 SQLITE_LIBS = 
-SQLITE_DEFINES =
-!ENDIF
-
-!IF $(USE_MSSQL)
-MSSQL_DEFINES = -DUSE_MSSQL
-!ELSE
-MSSQL_DEFINES =
 !ENDIF
 
@@ -135,5 +107,4 @@
 CC = cl
 DEFS = -D__WIN32__ -DHAVE_CONFIG_H -DPARADOCNUM -D_LITTLE_ENDIAN -DSHORT_SUFFIX -D_CRT_SECURE_NO_DEPRECATE \
-	$(GDBM_DEFINES) $(JDBM_DEFINES) $(SQLITE_DEFINES) $(MSSQL_DEFINES) \
 	$(MG_DEFS) $(MGPP_DEFS) $(LUCENE_DEFS)
 # Do NOT add the "recpt" directory here: the z39.50 code should be independent of the receptionist!
@@ -141,7 +112,7 @@
 	$(MGPP_INCLUDES) -I"$(PACKAGES_DIR)\yaz\yaz-2.1.4\include" \
 	-I"$(PACKAGES_DIR)\yaz\yaz-2.1.4\client" -I"$(PACKAGES_DIR)\d2m" \
-	$(GDBM_INCLUDES)
+	-I"$(COMMON_PACKAGES_DIR)\gdbm\gdbm-1.8.3" -I"$(COMMON_PACKAGES_DIR)\gdbm\gdbm-1.8.3\windows"
 LDFLAGS = 
-LIBS = "$(COMMON_PACKAGES_DIR)\windows\expat\expat\libexpat.lib" $(GDBM_LIBS) \
+LIBS = "$(COMMON_PACKAGES_DIR)\windows\expat\expat\libexpat.lib" "$(COMMON_PACKAGES_DIR)\gdbm\gdbm-1.8.3\gdbm.lib" \
         "$(PACKAGES_DIR)\d2m\libd2m.lib" "$(PACKAGES_DIR)\yaz\yaz-2.1.4\lib\yaz.lib" $(ACCENTFOLD_LIBS) \
 	$(SQLITE_LIBS)