Index: /main/trunk/greenstone2/macros/armenian.dm
===================================================================
--- /main/trunk/greenstone2/macros/armenian.dm	(revision 22116)
+++ /main/trunk/greenstone2/macros/armenian.dm	(revision 22117)
@@ -173,5 +173,5 @@
 
 _texttext_ [l=hy] {Õ¿Õ¥ÖÕœÕ¿}  
-
+_labeltext_ [l=hy] {_texttext_}  
 _textdocument_ [l=hy] {ÕÕ¡ÕœÕ¿Õ¡Õ©ÕžÖÕ²Õ©}
 _textsection_ [l=hy] {Ô²Õ¡ÕªÕ«Õ¶}
@@ -387,6 +387,6 @@
 }  
 _textinfield_ [l=hy] {âŠ Õ€Õ¡Õ·Õ¿ÕžÖÕŽ}  
-
-
+_textfieldphrase_ [l=hy] {ÔŽÕ¡Õ·Õ¿}  
+_textinwords_ [l=hy] {Õ¢Õ¡ÕŒÕ¥ÖÕžÖÕŽ}  
 _textfoldstem_ [l=hy] {(ÕœÕ¥Õ²ÕŽÕ«Õ¹, Õ£Õ¬Õ­Õ«Õ¯)}  
 
@@ -405,5 +405,6 @@
 
 _textsimplesearch_ [l=hy] {ÕÕ¶Õ¿ÖÕ«Ö _indexselection_ _If_(_jselection_, of _jselection_) _If_(_gselection_,  _gselection_ ÕŽÕ¡Õ¯Õ¡ÖÕ€Õ¡Õ¯) _If_(_nselection_, in _nselection_ Õ¬Õ¥ÕŠÕŸÕžÖÕŽ) ÕžÖÕš ÕºÕ¡ÖÕžÖÕ¶Õ¡Õ¯ÕžÖÕŽ Õ§ _querytypeselection_ Õ¢Õ¡ÕŒÕ¥Ö}  
-
+_textsimplesqlsearch_ [l=hy] {ÕÕ¶Õ¿ÖÕ«Ö Õ¶Õ¥ÖÕœÕžÖÕŽ _indexselection__If_(_jselection_, Õ¯Õ¡ÕºÕŸÕ¡Õ® _jselection_)_If_(_gselection_, ÕŸÖÕ¡ _gselection_ level )_If_(_nselection_, Õ¶Õ¥ÖÕœÕžÖÕŽ _nselection_ language)_If_(_sqlsfselection_,\,_allowformbreak_ Õ¡ÖÕ€ÕµÕžÖÕ¶ÖÕ¶Õ¥ÖÕ« Õ¿Õ¥ÕœÕ¡Õ¯Õ¡ÕŸÕžÖÕžÖÕŽ ÕšÕœÕ¿ _sqlsfselection_) Õ°Õ¡ÕŽÕ¡Ö _querytypeselection_ Õ¢Õ¡ÕŒÕ¥ÖÕ«Ö
+}  
 
 _textadvancedsearch_ [l=hy] {ÕÕ¶Õ¿ÖÕžÖÕŽ _indexselection_ _If_(_jselection_, of _jselection_) _If_(_gselection_, at _gselection_ level)_If_(_nselection_,  _nselection_ Õ¬Õ¥ÕŠÕŸÕ« ÕŽÕ¥Õ») Ö
@@ -413,15 +414,15 @@
 
 _textadvancedlucenesearch_ [l=hy] {ÕÖÕžÕ¶Õ«Ö _indexselection_ _If_(_jselection_,of _jselection_ )_If_(_gselection_,at _gselection_ ÕŽÕ¡Õ¯Õ¡ÖÕ€Õ¡Õ¯ )_If_(_nselection_,in _nselection_ Õ¬Õ¥ÕŠÕŸÕžÖÕŽ )Õ°Õ¡ÕŽÕ¡Ö}  
-
+_textadvancedsqlsearch_ [l=hy] {ÕÕ¶Õ¿ÖÕ«Ö _indexselection__If_(_jselection_, associated with _jselection_)_If_(_gselection_, ÕŸÖÕ¡ _gselection_ level )_If_(_nselection_, Õ¶Õ¥ÖÕœÕžÖÕŽ _nselection_ language)_If_(_sqlsfselection_,\,_allowformbreak_ Õ¡ÖÕ€ÕµÕžÖÕ¶ÖÕ¶Õ¥ÖÕ« Õ¿Õ¥ÕœÕ¡Õ¯Õ¡ÕŸÕžÖÕžÖÕŽ ÕšÕœÕ¿ _sqlsfselection_\,) Õ°Õ¡ÕŽÕ¡Ö }  
 
 # the space after "Search" is required, otherwise no space between "Search" and "in"
 
 _textformsimplesearch_ [l=hy] {ÕÕ¶Õ¿ÖÕ«Ö _If_(_jselection_,_jselection_ )_If_(_gformselection_,at _gformselection_ level )_If_(_nselection_, _nselection_ Õ¬Õ¥ÕŠÕŸÕžÖÕŽ) _formquerytypesimpleselection_ Õ°Õ¡ÕŽÕ¡Ö}  
-
+_textformsimplesearchsql_ [l=hy] {ÕÕ¶Õ¿ÖÕ«Ö _If_(_jselection_, Õ¶Õ¥ÖÕœÕžÖÕŽ _jselection_)_If_(_gformselection_, ÕŸÖÕ¡ _gformselection_ level )_If_(_nselection_, Õ¶Õ¥ÖÕœÕžÖÕŽ _nselection_ language)_If_(_sqlsfselection_,\, Õ¡ÖÕ€ÕµÕžÖÕ¶ÖÕ¶Õ¥ÖÕ« Õ¿Õ¥ÕœÕ¡Õ¯Õ¡ÕŸÕžÖÕžÖÕŽ ÕšÕœÕ¿ _sqlsfselection_\,) Õ°Õ¡ÕŽÕ¡Ö _formquerytypesimpleselection_ of }  
 
 _textformadvancedsearchmgpp_ [l=hy] {ÕÕ¶Õ¿ÖÕžÖÕŽ_If_(_jselection_, Õ¶Õ¥ÖÕœÕžÖÕŽ _jselection_)_If_(_gformselection_, Õ¡ÕµÕœÕ¿Õ¥Õ² _gformselection_ ÕŽÕ¡Õ¯Õ¡ÖÕ€Õ¡Õ¯ )_If_(_nselection_, Õ¶Õ¥ÖÕœÕžÖÕŽ _nselection_ Õ¬Õ¥ÕŠÕžÖ), Ö Õ¡ÖÕ¿Õ¡Õ®Õ«Ö Õ¡ÖÕ€ÕµÕžÖÕ¶ÖÕ¶Õ¥ÖÕš _formquerytypeadvancedselection_ Õ°Õ¥ÖÕ©Õ¡Õ¯Õ¡Õ¶ÕžÖÕ©ÕµÕ¡ÕŽÕ¢, Õ°Õ¡ÕŽÕ¡Ö}  
 
 _textformadvancedsearchlucene_ [l=hy] {ÕÕ¶Õ¿ÖÕžÖÕŽ _If_(_jselection_, Õ¶Õ¥ÖÕœÕžÖÕŽ _jselection_)_If_(_gformselection_, Õ¡ÕµÕœÕ¿Õ¥Õ² _gformselection_ ÕŽÕ¡Õ¯Õ¡ÖÕ€Õ¡Õ¯ )_If_(_nselection_, Õ¶Õ¥ÖÕœÕžÖÕŽ _nselection_ Õ¬Õ¥ÕŠÕžÖ)_If_(_sfselection_,\, Õ¡ÖÕ€ÕµÕžÖÕ¶ÖÕ¶Õ¥ÖÕ« Õ¿Õ¥ÕœÕ¡Õ¯Õ¡ÕŸÕžÖÕžÖÕŽ ÕšÕœÕ¿ _sfselection_\,) Õ°Õ¡ÕŽÕ¡Ö}  
-
+_textformadvancedsearchsql_ [l=hy] {ÕÕ¶Õ¿ÖÕ«Ö _If_(_jselection_, Õ¶Õ¥ÖÕœÕžÖÕŽ _jselection_)_If_(_gformselection_, ÕŸÖÕ¡ _gformselection_ level )_If_(_nselection_, Õ¶Õ¥ÖÕœÕžÖÕŽ _nselection_ language)_If_(_sqlsfselection_,\, Õ¡ÖÕ€ÕµÕžÖÕ¶ÖÕ¶Õ¥ÖÕ« Õ¿Õ¥ÕœÕ¡Õ¯Õ¡ÕŸÕžÖÕžÖÕŽ ÕšÕœÕ¿ _sqlsfselection_\,) Õ°Õ¡ÕŽÕ¡Ö }  
 
 _textnojsformwarning_ [l=hy] {Ô¶Õ£ÕžÖÕ·Õ¡ÖÕžÖÕŽ: ÕÕž ÕžÕœÕ¿Õ¡ÕµÕ¶Õ« Õ€Õ«Õ¿Õ¡Õ¯ÕžÖÕŽ ÕÕ¡ÕŸÕ¡ÕœÕ¯ÖÕ«ÕºÕ¿Õš Õ¡Õ¶Õ»Õ¡Õ¿ÕŸÕ¡Õ® Õ§: <br>ÕÖÕ¡Õ¹Õ¡ÖÕžÕŸ ÖÕ¶Õ¿ÖÕžÖÕŽ Õ¯Õ¡Õ¿Õ¡ÖÕ¥Õ¬ÕžÖ Õ°Õ¡ÕŽÕ¡Ö, ÕŽÕ«Õ¡ÖÖÕžÖ Õ¡ÕµÕ¶:}
@@ -503,5 +504,5 @@
 _textsearchtype_ [l=hy] {ÕÕ¡ÖÖÕŽÕ¡Õ¶ ÕžÕ³.}  
 _textformsearchtype_ [l=hy] {Ô¿ÖÕŸÕ¡Õ® Õ§ _formnumfieldoption_ Õ€Õ¡Õ·Õ¿Õ¥ÖÕ« Õ°Õ¥Õ¿ }  
-
+_textsqlformsearchtype_ [l=hy] {SQL Õ€Õ¡Õ·Õ¿ÕžÕŸ ÕšÕœÕ¿ Õ¡ÕµÕœ _sqlformnumfieldoption_ Õ€Õ¡Õ·Õ¿Õ¥ÖÕ«}  
 _textplainsearchtype_ [l=hy] {ÕÕžÖÕŽÕ¡Õ¬ _boxsizeoption_ Õ°Õ¡ÖÕŽÕ¡Õ¶ ÕŸÕ¡Õ¶Õ€Õ¡Õ¯Õ« Õ°Õ¥Õ¿}  
 _textregularbox_ [l=hy] {ÕŽÕ¥Õ¯ Õ¿ÕžÕ²}  