Index: gs2-extensions/music-stand/trunk/CASCADE-MAKE.bat
===================================================================
--- gs2-extensions/music-stand/trunk/CASCADE-MAKE.bat	(revision 22129)
+++ gs2-extensions/music-stand/trunk/CASCADE-MAKE.bat	(revision 22129)
@@ -0,0 +1,44 @@
+@echo off
+pushd "%CD%"
+CD /D "%~dp0"
+
+call cascade-make/lib/cascade-lib.bat
+
+
+echo "Test for directory in Windows might not be correct syntax!!"
+if not exist "%GEXTVIDEO_INSTALLED%" (
+  echo Creating %GEXTVIDEO_INSTALLED%
+  mkdir "%GEXTVIDEO_INSTALLED%"
+)
+
+set dirlist=runtime-srcpack
+
+
+for /D %%d IN (%dirlist%) do (
+  echo Running %%d\CASCADE-MAKE.bat %*
+
+  (cd %%d && call CASCADE-MAKE.bat %* && cd ..)
+  
+  if not ERRORLEVEL 0 (
+    echo Error encountered running %%d\CASCADE-MAKE.bat
+    goto ErrorExitPos1
+  )
+)
+
+
+if  "%install%" == "1" (
+  type README.txt
+)
+goto End
+
+:ErrorExitNeg1
+set ERRORLEVEL=-1
+goto End
+
+:ErrorExitPos1
+set ERRORLEVEL=1
+goto End
+
+:End
+
+popd
Index: gs2-extensions/music-stand/trunk/CASCADE-MAKE.sh
===================================================================
--- gs2-extensions/music-stand/trunk/CASCADE-MAKE.sh	(revision 22129)
+++ gs2-extensions/music-stand/trunk/CASCADE-MAKE.sh	(revision 22129)
@@ -0,0 +1,26 @@
+#!/bin/bash
+
+source cascade-make/lib/cascade-lib.bash
+
+if [ ! -e $GEXTVIDEO_INSTALLED ] ; then
+  echo "Creating $GEXTVIDEO_INSTALLED"
+  mkdir $GEXTVIDEO_INSTALLED
+fi
+
+dirlist="runtime-srcpack"
+
+for d in $dirlist ; do
+  echo "Running $d/CASCADE-MAKE.sh $*"
+
+  (cd $d ; ./CASCADE-MAKE.sh $*)
+
+  if [ $? != 0 ] ; then
+    echo "Error encountered running $d/CASCADE-MAKE.sh"
+    exit 1
+  fi
+done
+
+
+if [ $install = "1" ] ; then
+  cat README.txt
+fi
Index: gs2-extensions/music-stand/trunk/runtime-srcpack/CASCADE-MAKE.bat
===================================================================
--- gs2-extensions/music-stand/trunk/runtime-srcpack/CASCADE-MAKE.bat	(revision 22129)
+++ gs2-extensions/music-stand/trunk/runtime-srcpack/CASCADE-MAKE.bat	(revision 22129)
@@ -0,0 +1,19 @@
+@echo off
+
+for /D %%d IN (packages) do (
+  echo   Running %%d\CASCADE-MAKE.bat %*
+
+  (cd %%d && call CASCADE-MAKE.bat %* && cd ..)
+
+  if not ERRORLEVEL 0 (
+    echo   Error encountered running %%d\CASCADE-MAKE.bat
+    goto ErrorExitPos1
+  )
+)
+goto End
+
+:ErrorExitPos1
+set ERRORLEVEL=1
+
+:End
+
Index: gs2-extensions/music-stand/trunk/runtime-srcpack/CASCADE-MAKE.sh
===================================================================
--- gs2-extensions/music-stand/trunk/runtime-srcpack/CASCADE-MAKE.sh	(revision 22129)
+++ gs2-extensions/music-stand/trunk/runtime-srcpack/CASCADE-MAKE.sh	(revision 22129)
@@ -0,0 +1,14 @@
+#!/bin/bash
+
+
+for d in packages ; do
+  echo "  Running $d/CASCADE-MAKE.sh $*"
+
+  (cd $d; ./CASCADE-MAKE.sh $*)
+
+  if [ $? != 0 ] ; then
+    echo "  Error encountered running $d/CASCADE-MAKE.sh"
+    exit 1
+  fi
+done
+
Index: gs2-extensions/music-stand/trunk/runtime-srcpack/packages/CASCADE-MAKE.bat
===================================================================
--- gs2-extensions/music-stand/trunk/runtime-srcpack/packages/CASCADE-MAKE.bat	(revision 22129)
+++ gs2-extensions/music-stand/trunk/runtime-srcpack/packages/CASCADE-MAKE.bat	(revision 22129)
@@ -0,0 +1,20 @@
+@echo off
+
+for /D %%d IN (LIB-POPPLER EVINCE) do (
+  echo     Running CASCADE-MAKE\%%d.bat %*
+
+  call CASCADE-MAKE\%%d.bat %*
+
+  if not ERRORLEVEL 0 (
+    echo   Error encountered running CASCADE-MAKE\%%d.bat
+    goto ErrorExitPos1
+  )
+)
+
+goto End
+
+:ErrorExitPos1
+set ERRORLEVEL=1
+goto End
+
+:End
Index: gs2-extensions/music-stand/trunk/runtime-srcpack/packages/CASCADE-MAKE.sh
===================================================================
--- gs2-extensions/music-stand/trunk/runtime-srcpack/packages/CASCADE-MAKE.sh	(revision 22129)
+++ gs2-extensions/music-stand/trunk/runtime-srcpack/packages/CASCADE-MAKE.sh	(revision 22129)
@@ -0,0 +1,16 @@
+#!/bin/bash
+
+
+for d in ICON-NAMING-UTILS GNOME-ICON-THEME GNOME-DOC-UTILS \
+         LIB-POPPLER EVINCE ; do
+  echo "    Running CASCADE-MAKE/$d.sh $*"
+
+  ./CASCADE-MAKE/$d.sh $*
+
+  if [ $? != 0 ] ; then
+    echo "  Error encountered running CASCADE-MAKE/$d.sh"
+    exit 1
+  fi
+done
+
+
Index: gs2-extensions/music-stand/trunk/runtime-srcpack/packages/CASCADE-MAKE/EVINCE.sh
===================================================================
--- gs2-extensions/music-stand/trunk/runtime-srcpack/packages/CASCADE-MAKE/EVINCE.sh	(revision 22129)
+++ gs2-extensions/music-stand/trunk/runtime-srcpack/packages/CASCADE-MAKE/EVINCE.sh	(revision 22129)
@@ -0,0 +1,34 @@
+#!/bin/bash
+
+package=evince
+version=-2.24.2
+
+progname=$0
+
+source ../../cascade-make/lib/cascade-lib.bash
+
+prefix=$GEXTMUSICSTAND_INSTALLED
+
+export CFLAGS="-I$prefix/include"
+export LDFLAGS="-L$prefix/lib"
+
+if [ ! -z $CROSSCOMPILE ] ; then
+  export LDFLAGS="$LDFLAGS -L/usr/local/poky/eabi-glibc/arm/lib/"
+
+  # Needs a bit of help so it can pass the test that looks for
+  # 'dbus-binding-tool'
+
+  export PATH=$PATH:/usr/local/poky/eabi-glibc/arm/arm-poky-linux-gnueabi/usr/bin
+fi
+
+
+opt_run_untar $force_untar $auto_untar $package $version
+opt_run_configure $force_config $auto_config $package $version "$prefix" \
+    --disable-scrollkeeper --without-keyring
+
+opt_run_make $compile   $package $version
+opt_run_make $install   $package $version "install"
+opt_run_make $clean     $package $version "clean"
+opt_run_make $distclean $package $version "distclean"
+
+opt_run_tarclean $tarclean $package $version
Index: gs2-extensions/music-stand/trunk/runtime-srcpack/packages/CASCADE-MAKE/GNOME-DOC-UTILS.sh
===================================================================
--- gs2-extensions/music-stand/trunk/runtime-srcpack/packages/CASCADE-MAKE/GNOME-DOC-UTILS.sh	(revision 22129)
+++ gs2-extensions/music-stand/trunk/runtime-srcpack/packages/CASCADE-MAKE/GNOME-DOC-UTILS.sh	(revision 22129)
@@ -0,0 +1,26 @@
+#!/bin/bash
+
+package=gnome-doc-utils
+version=-0.18.1
+
+progname=$0
+
+source ../../cascade-make/lib/cascade-lib.bash
+
+prefix=$GEXTMUSICSTAND_INSTALLED
+
+export CFLAGS="-I$prefix/include"
+export LDFLAGS="-L$prefix/lib"
+
+
+opt_run_untar $force_untar $auto_untar $package $version ".tar.bz2"
+
+opt_run_configure $force_config $auto_config $package $version "$prefix" \
+    --disable-scrollkeeper
+
+opt_run_make $compile   $package $version
+opt_run_make $install   $package $version "install"
+opt_run_make $clean     $package $version "clean"
+opt_run_make $distclean $package $version "distclean"
+
+opt_run_tarclean $tarclean $package $version
Index: gs2-extensions/music-stand/trunk/runtime-srcpack/packages/CASCADE-MAKE/GNOME-ICON-THEME.sh
===================================================================
--- gs2-extensions/music-stand/trunk/runtime-srcpack/packages/CASCADE-MAKE/GNOME-ICON-THEME.sh	(revision 22129)
+++ gs2-extensions/music-stand/trunk/runtime-srcpack/packages/CASCADE-MAKE/GNOME-ICON-THEME.sh	(revision 22129)
@@ -0,0 +1,24 @@
+#!/bin/bash
+
+package=gnome-icon-theme
+version=-2.18.0
+
+progname=$0
+
+source ../../cascade-make/lib/cascade-lib.bash
+
+prefix=$GEXTMUSICSTAND_INSTALLED
+
+export CFLAGS="-I$prefix/include"
+export LDFLAGS="-L$prefix/lib"
+
+
+opt_run_untar $force_untar $auto_untar $package $version ".tar.bz2"
+opt_run_configure $force_config $auto_config $package $version "$prefix"
+
+opt_run_make $compile   $package $version
+opt_run_make $install   $package $version "install"
+opt_run_make $clean     $package $version "clean"
+opt_run_make $distclean $package $version "distclean"
+
+opt_run_tarclean $tarclean $package $version
Index: gs2-extensions/music-stand/trunk/runtime-srcpack/packages/CASCADE-MAKE/ICON-NAMING-UTILS.sh
===================================================================
--- gs2-extensions/music-stand/trunk/runtime-srcpack/packages/CASCADE-MAKE/ICON-NAMING-UTILS.sh	(revision 22129)
+++ gs2-extensions/music-stand/trunk/runtime-srcpack/packages/CASCADE-MAKE/ICON-NAMING-UTILS.sh	(revision 22129)
@@ -0,0 +1,30 @@
+#!/bin/bash
+
+package=icon-naming-utils
+version=-0.8.2
+
+progname=$0
+
+source ../../cascade-make/lib/cascade-lib.bash
+
+prefix=$GEXTMUSICSTAND_INSTALLED
+
+export CFLAGS="-I$prefix/include"
+export LDFLAGS="-L$prefix/lib"
+
+
+opt_run_untar $force_untar $auto_untar $package $version
+opt_run_configure $force_config $auto_config $package $version "$prefix"
+
+if [ $configure = "1" ] ; then
+  echo "If configure fails because it cannot detect XML::Simple"
+  echo "then one solution is do the following sudo command: "
+  echo "sudo perl -MCPAN -e 'install XML::Simple'"
+fi
+
+opt_run_make $compile   $package $version
+opt_run_make $install   $package $version "install"
+opt_run_make $clean     $package $version "clean"
+opt_run_make $distclean $package $version "distclean"
+
+opt_run_tarclean $tarclean $package $version
Index: gs2-extensions/music-stand/trunk/runtime-srcpack/packages/CASCADE-MAKE/LIB-POPPLER.sh
===================================================================
--- gs2-extensions/music-stand/trunk/runtime-srcpack/packages/CASCADE-MAKE/LIB-POPPLER.sh	(revision 22129)
+++ gs2-extensions/music-stand/trunk/runtime-srcpack/packages/CASCADE-MAKE/LIB-POPPLER.sh	(revision 22129)
@@ -0,0 +1,24 @@
+#!/bin/bash
+
+package=poppler
+version=-0.10.7
+
+progname=$0
+
+source ../../cascade-make/lib/cascade-lib.bash
+
+prefix=$GEXTMUSICSTAND_INSTALLED
+
+export CFLAGS="-I$prefix/include"
+export LDFLAGS="-L$prefix/lib"
+
+
+opt_run_untar $force_untar $auto_untar $package $version
+opt_run_configure $force_config $auto_config $package $version "$prefix"
+
+opt_run_make $compile   $package $version
+opt_run_make $install   $package $version "install"
+opt_run_make $clean     $package $version "clean"
+opt_run_make $distclean $package $version "distclean"
+
+opt_run_tarclean $tarclean $package $version
Index: gs2-extensions/music-stand/trunk/setup-irex.bash
===================================================================
--- gs2-extensions/music-stand/trunk/setup-irex.bash	(revision 22129)
+++ gs2-extensions/music-stand/trunk/setup-irex.bash	(revision 22129)
@@ -0,0 +1,9 @@
+
+source /usr/local/poky/eabi-glibc/arm/environment-setup 
+
+export CROSSCOMPILE="--host=arm-poky-linux-gnueabi"
+
+source setup.bash
+
+export PKG_CONFIG_PATH=$GEXTMUSICSTAND_INSTALLED/lib/pkgconfig:$GEXTMUSICSTAND_INSTALLED/share/pkgconfig:$PKG_CONFIG_PATH
+
Index: gs2-extensions/music-stand/trunk/setup.bash
===================================================================
--- gs2-extensions/music-stand/trunk/setup.bash	(revision 22129)
+++ gs2-extensions/music-stand/trunk/setup.bash	(revision 22129)
@@ -0,0 +1,33 @@
+
+extdesc="the Digital Music Stand Extension"
+
+source cascade-make/lib/cascade-lib.bash
+
+if [ "x$GEXTMUSICSTAND" = "x" ] ; then
+  export GEXTMUSICSTAND=`pwd`
+  export GEXTMUSICSTAND_INSTALLED=$GEXTMUSICSTAND/$GSDLOS
+
+  export PATH=$GEXTMUSICSTAND_INSTALLED/bin:$PATH
+
+  if [ "x$LD_LIBRARY_PATH" = "x" ] ; then
+    export LD_LIBRARY_PATH=$GEXTMUSICSTAND_INSTALLED/lib
+  else
+    export LD_LIBRARY_PATH=$GEXTMUSICSTAND_INSTALLED/lib:$LD_LIBRARY_PATH
+  fi
+  if [ "x$DYLD_LIBRARY_PATH" = "x" ] ; then
+    export DYLD_LIBRARY_PATH=$GEXTMUSICSTAND_INSTALLED/lib
+  else
+    export DYLD_LIBRARY_PATH=$GEXTMUSICSTAND_INSTALLED/lib:$DYLD_LIBRARY_PATH
+  fi
+
+  if [ "x$GSDLEXTS" = "x" ] ; then
+    export GSDLEXTS=music-stand
+  else 
+    export GSDLEXTS=$GSDLEXTS:music-stand
+  fi
+
+
+  echo "+Your environment is now setup for $extdesc"
+else
+  echo "+Your environment is already setup for $extdesc"
+fi
Index: gs2-extensions/music-stand/trunk/setup.bat
===================================================================
--- gs2-extensions/music-stand/trunk/setup.bat	(revision 22129)
+++ gs2-extensions/music-stand/trunk/setup.bat	(revision 22129)
@@ -0,0 +1,48 @@
+@echo off
+pushd "%CD%"
+CD /D "%~dp0"
+set GSDLLANG=en
+set extdesc="the Digital Music Stand Extension"
+
+if "%OS%" == "Windows_NT" goto WinNT
+if "%OS%" == "" goto Win95
+if "%GSDLLANG%" == "en" echo Setup failed - your PATH has not been set
+if "%GSDLLANG%" == "es" echo No se pudo realizar la configuraci¢n - no se ha establecido la RUTA.
+if "%GSDLLANG%" == "fr" echo Echc de l'installation - votre variable PATH n'a pas t ajuste
+if "%GSDLLANG%" == "ru" echo áâ ­®¢ª  ­¥ ã€ « áì -  ­¥ ¡ë« ãáâ ­®¢«¥­
+goto End
+
+:WinNT
+set GEXTMUSICSTAND=%CD%
+set GEXTMUSICSTAND_INSTALLED=%GEXTMUSICSTAND%\windows
+
+set PATH=%GEXTMUSICSTAND_INSTALLED%\bin;%PATH%
+set GS_CP_SET=yes
+goto Success
+
+:Win95
+if "%1" == "SetEnv" goto Win95Env
+REM We'll invoke a second copy of the command processor to make
+REM sure there's enough environment space
+COMMAND /E:2048 /K %0 SetEnv
+goto End
+
+:Win95Env
+set GEXTMUSICSTAND=%CD%
+set PATH="%GEXTMUSICSTAND_INSTALLED%\bin";"%PATH%"
+set GS_CP_SET=yes
+goto Success
+
+:Success
+
+if "x%GSDLEXTS%" == "x" (
+  set GSDLEXTS=music-stand
+) else (
+  set GSDLEXTS=%GSDLEXTS%:music-stand
+)
+
+echo +Your environment is now setup for %extdesc%
+
+:End
+
+popd
Index: gs2-extensions/music-stand/trunk/setup.pl
===================================================================
--- gs2-extensions/music-stand/trunk/setup.pl	(revision 22129)
+++ gs2-extensions/music-stand/trunk/setup.pl	(revision 22129)
@@ -0,0 +1,41 @@
+
+BEGIN {
+    die "GSDLHOME not set\n" unless defined $ENV{'GSDLHOME'};
+    die "GSDLOS not set\n" unless defined $ENV{'GSDLOS'};
+    unshift (@INC, "$ENV{'GSDLHOME'}/perllib");
+    unshift (@INC, "$ENV{'GSDLHOME'}/perllib/cpan");
+}
+
+use Cwd;
+require util;    
+
+if (!defined $ENV{'GEXTMUSICSTAND'}) {
+    
+    $ENV{'GEXTMUSICSTAND'} = cwd();
+    
+    $ENV{'GEXTMUSICSTAND_INSTALLED'}
+    = &util::filename_cat($ENV{'GEXTMUSICSTAND'},"installed");
+
+    my $musicstand_bin
+	= &util::filename_cat($ENV{'GEXTMUSICSTAND_INSTALLED'},$ENV{'GSDLOS'},"bin");
+    my $musicstand_lib
+	= &util::filename_cat($ENV{'GEXTMUSICSTAND_INSTALLED'},$ENV{'GSDLOS'},"lib");
+
+    &util::envvar_append("PATH",$musicstand_bin);
+
+    # For Linux (no harm is setting is this for MacOs)
+    &util::envvar_append("LD_LIBRARY_PATH",$musicstand_lib);
+    
+    # For MacOs (no harm is setting is this for Linux etc)
+    &util::envvar_append("DYLD_LIBRARY_PATH",$musicstand_lib);
+
+
+    # GSDLEXTS always uses : as a separator
+    if (defined $ENV{'GSDLEXTS'}) {
+	$ENV{'GSDLEXTS'} .= ":music-stand" ;
+    }
+    else {
+	$ENV{'GSDLEXTS'} .="music-stand";
+    }
+
+}