Index: main/trunk/release-kits/kits/rk2/installer/build.xml
===================================================================
--- main/trunk/release-kits/kits/rk2/installer/build.xml	(revision 22116)
+++ main/trunk/release-kits/kits/rk2/installer/build.xml	(revision 22131)
@@ -29,4 +29,5 @@
 
 	<!-- custom tasks -->
+	<taskdef name="if" classname="ise.antelope.tasks.IfTask" classpathref="project.classpath"/>
 	<typedef name="rsr" classname="org.greenstone.anttasks.RegexSearchReplace" classpathref="project.classpath"/>
 	<typedef name="adduser" classname="org.greenstone.anttasks.AddGreenstoneUserToDatabase" classpathref="project.classpath"/>
@@ -179,5 +180,5 @@
 		<!-- if windows --><exec dir="${basedir}" executable="${basedir}/7za.exe"><arg line="x imagemagick.lzma"/></exec><!-- /if -->
 		<delete file="imagemagick.lzma"/>
-		<unzip src="${basedir}/imagemagick.comp" dest="${installDir}"/>
+		<unzip src="${basedir}/imagemagick.comp" dest="${installDir}/bin/${rk.os}"/>
 		<delete file="imagemagick.comp"/>
 		<!-- end web -->
@@ -201,5 +202,5 @@
 		<!-- if windows --><exec dir="${basedir}" executable="${basedir}/7za.exe"><arg line="x ghostscript.lzma"/></exec><!-- /if -->
 		<delete file="ghostscript.lzma"/>
-		<unzip src="${basedir}/ghostscript.comp" dest="${installDir}" />
+		<unzip src="${basedir}/ghostscript.comp" dest="${installDir}/bin/${rk.os}" />
 		<delete file="ghostscript.comp"/>
 		<!-- end web -->
@@ -212,5 +213,5 @@
 
 		<chmod dir="${installDir}/bin/${shell.name}/ghostscript/bin" includes="*" perm="775"/>
-	</target>
+	</target>	
 
 	<!-- Start menu shortcuts -->
@@ -219,31 +220,83 @@
 		<mkdir dir="${startmenu.path}\Documentation"/>
 		
-		<shortcut
-			file="${startmenu.path}\Greenstone Server.lnk"
-			execute="${installDir}\server.exe"
-			workingDirectory="${installDir}"
-			iconFile="${installDir}\web\images\server.ico"
-			iconIndex="0" />
-
-		<shortcut
-			file="${startmenu.path}\Librarian Interface (GLI).lnk"
-			execute="${installDir}\gli\gli.bat"
-			workingDirectory="${installDir}\gli"
-			iconFile="${installDir}\web\images\librarian.ico"
-			iconIndex="0" />
-
-		<shortcut
-			file="${startmenu.path}\Librarian Interface for Remote Server (Client GLI).lnk"
-			execute="${installDir}\gli\client-gli.bat"
-			workingDirectory="${installDir}\gli"
-			iconFile="${installDir}\web\images\librarian.ico"
-			iconIndex="0" />
-
-		<shortcut
-			file="${startmenu.path}\Metadata Set Editor (GEMS).lnk"
-			execute="${installDir}\gli\gems.bat"
-			workingDirectory="${installDir}\gli"
-			iconFile="${installDir}\web\images\metadata.ico"
-			iconIndex="0" />
+		<if>
+			<bool>
+				<available file="${installDir}/web/images/server.ico"/>
+			</bool>
+		
+			<shortcut
+				file="${startmenu.path}\Greenstone Server.lnk"
+				execute="${installDir}\server.exe"
+				workingDirectory="${installDir}"
+				iconFile="${installDir}\web\images\server.ico"
+				iconIndex="0" />
+		
+			<else>
+				<shortcut
+					file="${startmenu.path}\Greenstone Server.lnk"
+					execute="${installDir}\server.exe"
+					workingDirectory="${installDir}"
+					iconFile="${installDir}\web\images\serverico.ico"
+					iconIndex="0" />
+			</else>
+		</if>
+
+		<if>
+			<bool>
+				<available file="${installDir}/web/images/librarian.ico"/>
+			</bool>
+			
+			<shortcut
+				file="${startmenu.path}\Librarian Interface (GLI).lnk"
+				execute="${installDir}\gli\gli.bat"
+				workingDirectory="${installDir}\gli"
+				iconFile="${installDir}\web\images\librarian.ico"
+				iconIndex="0" />
+				
+			<shortcut
+				file="${startmenu.path}\Librarian Interface for Remote Server (Client GLI).lnk"
+				execute="${installDir}\gli\client-gli.bat"
+				workingDirectory="${installDir}\gli"
+				iconFile="${installDir}\web\images\librarian.ico"
+				iconIndex="0" />
+			
+			<else>
+				<shortcut
+					file="${startmenu.path}\Librarian Interface (GLI).lnk"
+					execute="${installDir}\gli\gli.bat"
+					workingDirectory="${installDir}\gli"
+					iconFile="${installDir}\web\images\icon.ico"
+					iconIndex="0" />
+				
+				<shortcut
+					file="${startmenu.path}\Librarian Interface for Remote Server (Client GLI).lnk"
+					execute="${installDir}\gli\client-gli.bat"
+					workingDirectory="${installDir}\gli"
+					iconFile="${installDir}\web\images\icon.ico"
+					iconIndex="0" />
+			</else>
+		</if>
+		
+		<if>
+			<bool>
+				<available file="${installDir}/web/images/metadata.ico"/>
+			</bool>
+
+			<shortcut
+				file="${startmenu.path}\Metadata Set Editor (GEMS).lnk"
+				execute="${installDir}\gli\gems.bat"
+				workingDirectory="${installDir}\gli"
+				iconFile="${installDir}\web\images\metadata.ico"
+				iconIndex="0" />
+				
+			<else>
+				<shortcut
+					file="${startmenu.path}\Metadata Set Editor (GEMS).lnk"
+					execute="${installDir}\gli\gems.bat"
+					workingDirectory="${installDir}\gli"
+					iconFile="${installDir}\web\images\gems.ico"
+					iconIndex="0" />
+			</else>
+		</if>
 
 		<shortcut