Index: main/tags/2.83/documentation/tutorials/xml-source/tutorial_en.xml
===================================================================
--- main/tags/2.83/documentation/tutorials/xml-source/tutorial_en.xml	(revision 22115)
+++ main/tags/2.83/documentation/tutorials/xml-source/tutorial_en.xml	(revision 22163)
@@ -2602,16 +2602,19 @@
 </NumberedItem>
 <NumberedItem>
-<Text id="0691">The <AutoText key="coredm::_Global:labelDate_" type="italics"/> list groups documents by date. A numeric date is displayed at the end of each document title, for example 18580601. This is in the Greenstone internal date format, which is crucial for the <AutoText text="DateList" /> classifier (CL2) to correctly parse date metadata and generate an ordered date list. However, you can make the date look nice by adding a <AutoText text="[format:]"/> macro to date metadata.</Text>
-</NumberedItem>
-<NumberedItem>
-<Text id="0691a">Now we format the date. In the <AutoText key="glidict::CDM.GUI.Formats"/> section of the <AutoText key="glidict::GUI.Format"/> panel, select the <AutoText text="DateList" /> classifier <i>and set <AutoText key="glidict::CDM.FormatManager.Part"/> to <AutoText text="DateList"/></i>. Replace the last line</Text>
+<Text id="0691">The <AutoText key="coredm::_Global:labelDate_" type="italics"/> list groups documents by date. Greenstone's internal date format is YYYYMMDD, for example 18580601, and this is crucial for the <AutoText text="DateList" /> classifier (CL2) to correctly parse date metadata and generate an ordered date list. However, the date has been made to look nice by adding a <AutoText text="[format:]"/> macro to date metadata in the format statement.</Text>
+</NumberedItem>
+<NumberedItem>
+<Text id="0691a">In the <AutoText key="glidict::CDM.GUI.Formats"/> section of the <AutoText key="glidict::GUI.Format"/> panel, select the <AutoText text="DateList" /> classifier <i>and set <AutoText key="glidict::CDM.FormatManager.Part"/> to <AutoText text="DateList"/></i>. Replace the last line</Text>
+<Format>
+&lt;td&gt;{Or}{[dc.Date],[format:exp.Date],[format:ex.Date]}&lt;/td&gt;
+</Format>
+<Text id="0691b">with</Text>
 <Format>
 &lt;td&gt;{Or}{[dc.Date],[exp.Date],[ex.Date]}&lt;/td&gt;
 </Format>
-<Text id="0691b">with</Text>
-<Format>
-&lt;td&gt;{Or}{[dc.Date],[exp.Date],[format:ex.Date]}&lt;/td&gt;
-</Format>
-<Text id="0691c">Refresh in the web browser to view the new <AutoText key="coredm::_Global:labelDate_" type="italics"/> list.</Text>
+<Text id="0691c">Refresh in the web browser to view the new <AutoText key="coredm::_Global:labelDate_" type="italics"/> list. The dates are now shown in internal format. </Text>
+</NumberedItem>
+<NumberedItem>
+<Text id="0691d">Change the format statement back to reinstate the nicely formatted dates.</Text>
 </NumberedItem>
 <Heading>
@@ -2659,16 +2662,12 @@
 <Text id="0690d-1">Set the display text used for the level drop-down menu by going to the <AutoText key="glidict::CDM.GUI.SearchMetadata"/> section on the <AutoText key="glidict::GUI.Format"/> panel. Set the document level text to "newspaper", and the section level text to "page".</Text>
 <Text id="0690d-2">Refresh in your web browser. Compare searching at "newspaper" level with searching at "page" level. A useful search term for this collection is <AutoText text="aroha" type="quoted"/>.</Text>
-</NumberedItem>
-<NumberedItem>
-<Text id="0690f">You will notice that when searching for individual pages, the newspaper image is displayed in the search results. As these images are very large, this is not very useful. Go to <AutoText key="glidict::CDM.GUI.Formats"/> section of the <AutoText key="glidict::GUI.Format"/> panel in the Librarian Interface, choose <AutoText key="glidict::CDM.FormatManager.AllFeatures"/>  in <AutoText key="glidict::CDM.FormatManager.Feature"/> list, and select the <AutoText text="VList"/> format statement from the list of assigned format statements. Remove the second line from the <AutoText key="glidict::CDM.FormatManager.Editor"/>:</Text>
-<Format>
-&lt;td valign="top"&gt;[ex.srclink]{Or}{[ex.thumbicon],[ex.srcicon]}[ex./srclink]&lt;/td&gt;
-</Format>
-<Text id="0690f-1">The reason why this is causing a problem is that the <AutoText text="PagedImagePlugin"/> does not produce ex.thumbicon, and as a consequence this format statement displays ex.srcicon, which is very large  </Text>
-<Text id="0690f-2">While we are here, let's remove the filename from the display. Remove the following from the last line of the format string:</Text>
+<Text id="0690f">You will notice that when searching for individual pages, a thumbnail of the newspaper image is displayed in the search results.</Text>
+</NumberedItem>
+<NumberedItem>
+<Text id="0690f-2">Let's remove the filename from the display. Go to <AutoText key="glidict::CDM.GUI.Formats"/> section of the <AutoText key="glidict::GUI.Format"/> panel in the Librarian Interface, choose <AutoText key="glidict::CDM.FormatManager.AllFeatures"/>  in <AutoText key="glidict::CDM.FormatManager.Feature"/> list, and select the <AutoText text="VList"/> format statement from the list of assigned format statements. Remove the following from the last line of the format string:</Text>
 <Format>
 {If}{[ex.Source],&lt;br&gt;&lt;i&gt;([ex.Source])&lt;/i&gt;}
 </Format>
-<Text id="0690g"><b>Preview</b> the collection&mdash;the search results should be back to normal. </Text>
+<Text id="0690g"><b>Preview</b> the collection. </Text>
 </NumberedItem>
 <NumberedItem>