Index: /gs3-extensions/mat/trunk/src/org/greenstone/admin/guiext/ControlPanel.java
===================================================================
--- /gs3-extensions/mat/trunk/src/org/greenstone/admin/guiext/ControlPanel.java	(revision 22170)
+++ /gs3-extensions/mat/trunk/src/org/greenstone/admin/guiext/ControlPanel.java	(revision 22171)
@@ -25,5 +25,5 @@
 import java.io.FileInputStream;
 
-import org.greenstone.server.BrowserLauncher;
+import org.greenstone.util.BrowserLauncher;
 
 import org.greenstone.admin.guiext.BasePanel;
Index: /gs3-extensions/mat/trunk/src/org/greenstone/admin/guiext/Mat.java
===================================================================
--- /gs3-extensions/mat/trunk/src/org/greenstone/admin/guiext/Mat.java	(revision 22170)
+++ /gs3-extensions/mat/trunk/src/org/greenstone/admin/guiext/Mat.java	(revision 22171)
@@ -47,5 +47,5 @@
 
 import org.greenstone.gsdl3.util.GSPath;
-import org.greenstone.gsdl3.util.GlobalProperties;
+import org.greenstone.util.GlobalProperties;
 
 import org.greenstone.admin.guiext.BaseExt;
Index: /gs3-extensions/mat/trunk/src/org/greenstone/admin/guiext/MatExtensionConfigurePrompt.java
===================================================================
--- /gs3-extensions/mat/trunk/src/org/greenstone/admin/guiext/MatExtensionConfigurePrompt.java	(revision 22170)
+++ /gs3-extensions/mat/trunk/src/org/greenstone/admin/guiext/MatExtensionConfigurePrompt.java	(revision 22171)
@@ -8,5 +8,5 @@
 import java.awt.event.ActionListener;
 import java.io.*;
-import org.greenstone.admin.Configuration;
+import org.greenstone.util.Configuration;
 import javax.swing.*;
 import javax.swing.table.AbstractTableModel;
Index: /gs3-extensions/mat/trunk/src/org/greenstone/admin/guiext/MatExtensionInstallation.java
===================================================================
--- /gs3-extensions/mat/trunk/src/org/greenstone/admin/guiext/MatExtensionInstallation.java	(revision 22170)
+++ /gs3-extensions/mat/trunk/src/org/greenstone/admin/guiext/MatExtensionInstallation.java	(revision 22171)
@@ -59,5 +59,5 @@
 
 import org.greenstone.gsdl3.util.GSPath;
-import org.greenstone.gsdl3.util.GlobalProperties;
+import org.greenstone.util.GlobalProperties;
 
 import org.greenstone.admin.guiext.ExtPane;
Index: /gs3-extensions/mat/trunk/src/org/greenstone/admin/guiext/MatLaunchApplication.java
===================================================================
--- /gs3-extensions/mat/trunk/src/org/greenstone/admin/guiext/MatLaunchApplication.java	(revision 22170)
+++ /gs3-extensions/mat/trunk/src/org/greenstone/admin/guiext/MatLaunchApplication.java	(revision 22171)
@@ -47,5 +47,5 @@
 
 import org.greenstone.gsdl3.util.GSPath;
-import org.greenstone.gsdl3.util.GlobalProperties;
+import org.greenstone.util.GlobalProperties;
 import org.greenstone.admin.GAI;
 
Index: /gs3-extensions/mat/trunk/src/org/greenstone/admin/guiext/MatSVNDownloadThread.java
===================================================================
--- /gs3-extensions/mat/trunk/src/org/greenstone/admin/guiext/MatSVNDownloadThread.java	(revision 22170)
+++ /gs3-extensions/mat/trunk/src/org/greenstone/admin/guiext/MatSVNDownloadThread.java	(revision 22171)
@@ -31,5 +31,5 @@
 
 import org.greenstone.gsdl3.util.GSPath;
-import org.greenstone.gsdl3.util.GlobalProperties;
+import org.greenstone.util.GlobalProperties;
 
 import org.w3c.dom.Document;
Index: /gs3-extensions/mat/trunk/src/org/greenstone/mat/DescribeMessenger.java
===================================================================
--- /gs3-extensions/mat/trunk/src/org/greenstone/mat/DescribeMessenger.java	(revision 22170)
+++ /gs3-extensions/mat/trunk/src/org/greenstone/mat/DescribeMessenger.java	(revision 22171)
@@ -14,5 +14,5 @@
 
 import org.greenstone.gsdl3.core.MessageRouter;
-import org.greenstone.gsdl3.util.GlobalProperties;
+import org.greenstone.util.GlobalProperties;
 import org.greenstone.gsdl3.util.GSFile;
 import org.greenstone.gsdl3.util.GSXML;
Index: /gs3-extensions/mat/trunk/src/org/greenstone/mat/MetadataStats.java
===================================================================
--- /gs3-extensions/mat/trunk/src/org/greenstone/mat/MetadataStats.java	(revision 22170)
+++ /gs3-extensions/mat/trunk/src/org/greenstone/mat/MetadataStats.java	(revision 22171)
@@ -25,5 +25,5 @@
 import org.greenstone.gsdl3.util.GSXML;
 import org.greenstone.gsdl3.util.XMLConverter;
-import org.greenstone.gsdl3.util.GlobalProperties;
+import org.greenstone.util.GlobalProperties;
 import org.greenstone.gsdl3.util.GSPath;
 
Index: /gs3-extensions/mat/trunk/src/org/greenstone/mat/PrintHTML.java
===================================================================
--- /gs3-extensions/mat/trunk/src/org/greenstone/mat/PrintHTML.java	(revision 22170)
+++ /gs3-extensions/mat/trunk/src/org/greenstone/mat/PrintHTML.java	(revision 22171)
@@ -19,5 +19,5 @@
 import org.w3c.dom.NodeList;
 
-import org.greenstone.gsdl3.util.GlobalProperties;
+import org.greenstone.util.GlobalProperties;
 
 public class PrintHTML {
Index: /gs3-extensions/mat/trunk/src/org/greenstone/mat/servlet/DescribeMessenger.java
===================================================================
--- /gs3-extensions/mat/trunk/src/org/greenstone/mat/servlet/DescribeMessenger.java	(revision 22170)
+++ /gs3-extensions/mat/trunk/src/org/greenstone/mat/servlet/DescribeMessenger.java	(revision 22171)
@@ -11,5 +11,5 @@
 import org.w3c.dom.Element;
 import org.greenstone.gsdl3.core.MessageRouter;
-import org.greenstone.gsdl3.util.GlobalProperties;
+import org.greenstone.util.GlobalProperties;
 import org.greenstone.gsdl3.util.GSFile;
 import org.greenstone.gsdl3.util.GDBMWrapper;
Index: /gs3-extensions/mat/trunk/src/org/greenstone/mat/servlet/MatServlet.java
===================================================================
--- /gs3-extensions/mat/trunk/src/org/greenstone/mat/servlet/MatServlet.java	(revision 22170)
+++ /gs3-extensions/mat/trunk/src/org/greenstone/mat/servlet/MatServlet.java	(revision 22171)
@@ -13,5 +13,5 @@
 import org.xml.sax.*;
 import org.w3c.dom.*;
-import org.greenstone.gsdl3.util.GlobalProperties;
+import org.greenstone.util.GlobalProperties;
 import org.greenstone.gsdl3.util.GSPath;
 import java.net.Authenticator;
Index: /gs3-extensions/mat/trunk/src/org/greenstone/mat/servlet/MetadataStats.java
===================================================================
--- /gs3-extensions/mat/trunk/src/org/greenstone/mat/servlet/MetadataStats.java	(revision 22170)
+++ /gs3-extensions/mat/trunk/src/org/greenstone/mat/servlet/MetadataStats.java	(revision 22171)
@@ -27,5 +27,5 @@
 import org.greenstone.gsdl3.util.GSFile;
 import org.greenstone.gsdl3.util.GSXML;
-import org.greenstone.gsdl3.util.GlobalProperties;
+import org.greenstone.util.GlobalProperties;
 import org.greenstone.gsdl3.util.XMLConverter;
 import org.greenstone.gsdl3.util.GSPath;
Index: /gs3-extensions/mat/trunk/src/org/greenstone/mat/servlet/PrintHTML.java
===================================================================
--- /gs3-extensions/mat/trunk/src/org/greenstone/mat/servlet/PrintHTML.java	(revision 22170)
+++ /gs3-extensions/mat/trunk/src/org/greenstone/mat/servlet/PrintHTML.java	(revision 22171)
@@ -19,5 +19,5 @@
 import org.w3c.dom.NodeList;
 import org.greenstone.gsdl3.*;
-import org.greenstone.gsdl3.util.GlobalProperties;
+import org.greenstone.util.GlobalProperties;
 
 public class PrintHTML {